=== debian/changelog ===
qlipper (1:5.0.0-1) unstable; urgency=medium

  * Cherry-picked upstream release 5.0.0.
  * Added watch file
  * Fixed years in copyright
  * Set epoch to get rid of the old version scheme which was strange right
    from the beginning - we probably should have started with the last tag,
    aka 2.0.2, not with the version in CMakeLists.txt

 -- Alf Gaida <agaida@siduction.org>  Wed, 02 Nov 2016 20:31:58 +0100

qlipper (5.0.0-1~40-g48754f2-1) unstable; urgency=medium

  * Cherry-picking upstream version 5.0.0-1~40-g48754f2.
  * Bumped compat to 10
  * Bumped minimum version debhelper (>= 10)
  * Fixed typo in changelog
  * Removed --parallel from rules, standard compat 10

 -- Alf Gaida <agaida@siduction.org>  Wed, 28 Sep 2016 00:34:29 +0200

qlipper (5.0.0-1~31-gdae06f3-1) unstable; urgency=medium

  * Cherry-picking upstream version 5.0.0-1~31-gdae06f3.
  * The real output of git describe is 2.0.2-31-gdae06f3 - but the
    5.0.0 version in CMake was introduced in May 2015. So i finally
    decided to use a version lower than 5.0.0-1. Maybe upstream
    really release 5.0.0 somewhen.
  * Bumped Standards to 3.9.8, no changes needed
  * Fixed VCS fields, using https and plain /git/  
  * Fixed copyright Format field, using https
  * Bumped years in copyrights
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Added hardening options
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo 

 -- Alf Gaida <agaida@siduction.org>  Thu, 21 Jul 2016 22:32:38 +0200

qlipper (5.0.0+20151111-1) unstable; urgency=medium

  * Cherry-picking upstream version 5.0.0+20151111.
  * Removed dbg package in favor of dbgsym.
  * Removed debian/patches, applied upstream

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 02:32:18 +0100

qlipper (5.0.0+20150823-2) unstable; urgency=medium

  * Fix build  with Qt 5, proposed upstream patch (Closes: #803072).

 -- Alf Gaida <agaida@siduction.org>  Mon, 26 Oct 2015 19:30:22 +0100

qlipper (5.0.0+20150823-1) unstable; urgency=low

  * Initial release (Closes: #795792).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 12 Sep 2015 00:58:22 +0800
