=== debian/control ===
Source: qlipper
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               libx11-dev,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qlipper.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git -b debian/sid
Homepage: https://github.com/pvanek/qlipper

Package: qlipper
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Lightweight and cross-platform clipboard history applet
 A Lightweight and cross-platform clipboard history applet. It
 provides the following features:
 .
  - saves clipboard history entries and restores them
  - lightweight
  - systray docking app
  - few requirements
  - can be used in GNOME and Windows (and more)
