## qlipper 5.0.0+20151111

=== CMakeLists.txt ===
--- 
+++ 
@@ -106,13 +106,6 @@
     src/qlippernetwork.cpp
     src/clipboardwrap.cpp
 )
-if (WIN32)
-    set(QLIPPER_SOURCES ${QLIPPER_SOURCES} src/icons/qlipper.rc)
-endif (WIN32)
-if (UNIX)
-    list(APPEND QLIPPER_HEADERS src/signalhandler.h)
-    list(APPEND QLIPPER_SOURCES src/signalhandler.cpp)
-endif (UNIX)
 
 if (NOT QXT_FOUND)
 
@@ -160,9 +153,8 @@
 
 set (QLIPPER_TRANSLATIONS
     ts/qlipper_cs.ts
-    ts/qlipper_de.ts
     ts/qlipper_sr.ts
-    ts/qlipper_it.ts
+     ts/qlipper_it.ts
 )
 
 QT5_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )
