=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                cmake,
                libx11-dev,
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qlipper.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git -b debian/sid
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/qlipper.git/?h=debian/sid
+Vcs-Git: git://anonscm.debian.org/pkg-lxqt/qlipper.git -b debian/sid
 Homepage: https://github.com/pvanek/qlipper
 
 Package: qlipper
