## qlipper 5.0.0-1~31

=== CMakeLists.txt ===
--- 
+++ 
@@ -106,6 +106,9 @@
     src/qlippernetwork.cpp
     src/clipboardwrap.cpp
 )
+if (WIN32)
+    set(QLIPPER_SOURCES ${QLIPPER_SOURCES} src/icons/qlipper.rc)
+endif (WIN32)
 
 if (NOT QXT_FOUND)
 
@@ -153,8 +156,9 @@
 
 set (QLIPPER_TRANSLATIONS
     ts/qlipper_cs.ts
+    ts/qlipper_de.ts
     ts/qlipper_sr.ts
-     ts/qlipper_it.ts
+    ts/qlipper_it.ts
 )
 
 QT5_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )
