## qlipper 5.0.0-1~31-gdae06f3

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/qlipper.git/?h=debian/sid
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/qlipper.git -b debian/sid
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git -b debian/sid
 Homepage: https://github.com/pvanek/qlipper
 
 Package: qlipper
