## qlipper 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,22 +40,22 @@
 #    It will copy all dependecies (libs/resources) into bundle tree
 # -------------------------------------------------------
 
-CMAKE_MINIMUM_REQUIRED(VERSION 3.0.0)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0)
 
 project(qlipper)
 
 
-set(QLIPPER_VERSION 5.0.0)
+set(QLIPPER_VERSION 5.1.1)
 
 option(ENABLE_NETWORK_CLIPBOARD_SHARING "Enables experimental network support for clipboard sharing" OFF)
+option(ENABLE_LXQT_AUTOSTART "Enables autostart for LXQt" OFF)
 option(USE_SYSTEM_QXT "Use system Qxt Library for global shortcuts; off for Qt5" OFF)
-option(USE_SYSTEM_QTSA "Use system QtSingleApplication; off for Qt5" OFF)
 
 
 LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 
-find_package(Qt5Widgets REQUIRED)
+find_package(Qt5Widgets "5.6" REQUIRED)
 find_package(Qt5LinguistTools REQUIRED)
 
 if (USE_SYSTEM_QXT)
@@ -86,7 +86,6 @@
     qkeysequencewidget/qkeysequencewidget_p.h
     qmenuview/qmenuview.h
     qmenuview/qmenuview_p.h
-    src/qlippermenuview.h
     src/qlippermodel.h
     src/qlipperpreferencesdialog.h
     src/qlippersystray.h
@@ -98,7 +97,6 @@
     qmenuview/qmenuview.cpp
     src/main.cpp
     src/qlipperitem.cpp
-    src/qlippermenuview.cpp
     src/qlippermodel.cpp
     src/qlipperpreferences.cpp
     src/qlipperpreferencesdialog.cpp
@@ -109,6 +107,10 @@
 if (WIN32)
     set(QLIPPER_SOURCES ${QLIPPER_SOURCES} src/icons/qlipper.rc)
 endif (WIN32)
+if (UNIX)
+    list(APPEND QLIPPER_HEADERS src/signalhandler.h)
+    list(APPEND QLIPPER_SOURCES src/signalhandler.cpp)
+endif (UNIX)
 
 if (NOT QXT_FOUND)
 
@@ -155,10 +157,14 @@
 )
 
 set (QLIPPER_TRANSLATIONS
+    ts/qlipper_ca.ts
     ts/qlipper_cs.ts
     ts/qlipper_de.ts
+    ts/qlipper_lt.ts
+    ts/qlipper_pl.ts
     ts/qlipper_sr.ts
     ts/qlipper_it.ts
+    ts/qlipper_zh_CN.ts
 )
 
 QT5_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )
@@ -186,6 +192,8 @@
     ${QLIPPER_RCC}
     ${QLIPPER_QM}
 )
+set_property(TARGET ${EXE_NAME} PROPERTY CXX_STANDARD 11)
+set_property(TARGET ${EXE_NAME} PROPERTY CXX_STANDARD_REQUIRED ON)
 
 target_link_libraries( ${EXE_NAME}
     Qt5::Widgets
@@ -266,3 +274,11 @@
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
 )
 
+# merged from lxqt-common
+if (ENABLE_LXQT_AUTOSTART)
+    set(LXQTBT_MINIMUM_VERSION "0.3.2")
+    find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+    include(LXQtConfigVars)
+    include(LXQtTranslateDesktop)
+    add_subdirectory(lxqt-autostart)
+endif ()
