=== debian/changelog ===
qlipper (1:5.1.1-2) unstable; urgency=medium

  * Added missed breaks and replaces for lxqt-common (<< 0.12.0) 

 -- Alf Gaida <agaida@siduction.org>  Fri, 08 Dec 2017 18:39:03 +0100

qlipper (1:5.1.1-1) unstable; urgency=medium

  * Cherry-picked upstream release 5.1.1.
  * New build dependency lxqt-build-tools (>= 0.4.0)
  * Bumped Standards to 4.1.2 - no changes needed
  * Removed branch from VCS-fields
  * Bumped Copyright years
  * Enable LXQt autostart in d/rules
  * Added lxqt-autostart to copyright
  * Added LGPL-2.1+ to copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 08 Dec 2017 17:43:39 +0100
