=== debian/control ===
--- 
+++ 
@@ -5,21 +5,24 @@
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                libx11-dev,
+               lxqt-build-tools (>= 0.4.0),
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qlipper.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git
 Homepage: https://github.com/pvanek/qlipper
 
 Package: qlipper
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Breaks: lxqt-common (<< 0.12.0)
+Replaces: lxqt-common (<< 0.12.0)
 Description: Lightweight and cross-platform clipboard history applet
  A Lightweight and cross-platform clipboard history applet. It
  provides the following features:
