=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qlipper-$1\.tar\.gz/ \
  https://github.com/pvanek/qlipper/tags .*/v?(\d\S+)\.tar\.gz
