## qlipper 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 project(qlipper)
 
 
-set(QLIPPER_VERSION 5.1.1)
+set(QLIPPER_VERSION 5.1.2)
 
 option(ENABLE_NETWORK_CLIPBOARD_SHARING "Enables experimental network support for clipboard sharing" OFF)
 option(ENABLE_LXQT_AUTOSTART "Enables autostart for LXQt" OFF)
@@ -53,7 +53,6 @@
 
 
 LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-
 
 find_package(Qt5Widgets "5.6" REQUIRED)
 find_package(Qt5LinguistTools REQUIRED)
@@ -77,6 +76,7 @@
 add_definitions(-DQLIPPER_VERSION="${QLIPPER_VERSION}")
 if (ENABLE_NETWORK_CLIPBOARD_SHARING)
     add_definitions(-DENABLE_NETWORK_CLIPBOARD_SHARING)
+    find_package(Qt5Network REQUIRED)
 endif (ENABLE_NETWORK_CLIPBOARD_SHARING)
 
 
@@ -160,6 +160,7 @@
     ts/qlipper_ca.ts
     ts/qlipper_cs.ts
     ts/qlipper_de.ts
+    ts/qlipper_es.ts
     ts/qlipper_lt.ts
     ts/qlipper_pl.ts
     ts/qlipper_sr.ts
@@ -198,6 +199,12 @@
 target_link_libraries( ${EXE_NAME}
     Qt5::Widgets
 )
+
+if (ENABLE_NETWORK_CLIPBOARD_SHARING)
+    target_link_libraries( ${EXE_NAME}
+        Qt5::Network
+    )
+endif(ENABLE_NETWORK_CLIPBOARD_SHARING)
 
 # single app and optional network features
 #target_link_libraries( ${EXE_NAME} ${QT_QTNETWORK_LIBRARY})
