=== debian/changelog ===
qlipper (1:5.1.2-4) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Andrew Lee (李健秋) ]
  * debian/rules: add -DCMAKE_POLICY_VERSION_MINIMUM=3.5.
    (Closes: #1113444).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 11 Oct 2025 14:38:41 +0200

qlipper (1:5.1.2-3) unstable; urgency=medium

  * Clean up of group membership after 2nd calls.
  * debian/control: build-deps on lxqt-build-tools-qt5. (Closes: #1090287)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: update.
  * debian/source/local-options: drop unused file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 15 Feb 2025 14:28:12 +0100

qlipper (1:5.1.2-2) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on lxqt-build-tools.

  [ Alf Gaida ]
  * Switched to gbp

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.

  [ Andrew Lee (李健秋) ]
  * Add debian/salsa-ci.yml file.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster (oldstable)

  [ Andrew Lee (李健秋) ]
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: drop breaks and replaces on obsoleted version.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Sep 2023 15:56:13 +0200

qlipper (1:5.1.2-1) unstable; urgency=medium

  * Cherry-picked upstream release 5.1.2.
  * Bumped Standards to 4.3.0, no changes needed
  * Bumped years in copyright
  * use debhelper-compat (= 12) instead of debhelper
  * Enabled network-sharing

 -- Alf Gaida <agaida@siduction.org>  Fri, 01 Mar 2019 00:53:42 +0100

qlipper (1:5.1.1-3) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Bumped years in copyright
  * Removed not used gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 18:51:42 +0200
