=== debian/control ===
Source: qlipper
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libx11-dev,
               lxqt-build-tools-qt5,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qlipper
Vcs-Git: https://salsa.debian.org/lxqt-team/qlipper.git
Homepage: https://github.com/pvanek/qlipper

Package: qlipper
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Lightweight and cross-platform clipboard history applet
 A Lightweight and cross-platform clipboard history applet. It
 provides the following features:
 .
  - saves clipboard history entries and restores them
  - lightweight
  - systray docking app
  - few requirements
  - can be used in GNOME and Windows (and more)
