=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DENABLE_LXQT_AUTOSTART=ON \
		-DENABLE_NETWORK_CLIPBOARD_SHARING=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo
