=== debian/watch ===
Version: 5
Template: GitHub
Owner: pvanek
Project: @PACKAGE@
