## qlipper 6.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,22 +40,29 @@
 #    It will copy all dependecies (libs/resources) into bundle tree
 # -------------------------------------------------------
 
-CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0)
-
+CMAKE_MINIMUM_REQUIRED(VERSION 3.11) 
+# from 3.1.0 to 3.6 because CMake now don't support backward compatibility for CMake < v3.5
+# and in future support for 3.11 is also getting dropped !
 project(qlipper)
 
 
-set(QLIPPER_VERSION 5.1.2)
+set(QLIPPER_VERSION 6.0.0)
 
 option(ENABLE_NETWORK_CLIPBOARD_SHARING "Enables experimental network support for clipboard sharing" OFF)
 option(ENABLE_LXQT_AUTOSTART "Enables autostart for LXQt" OFF)
-option(USE_SYSTEM_QXT "Use system Qxt Library for global shortcuts; off for Qt5" OFF)
+option(USE_SYSTEM_QXT "Use system Qxt Library for global shortcuts; off for Qt6" OFF)
 
 
 LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-find_package(Qt5Widgets "5.6" REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
+find_package(Qt6Widgets REQUIRED)
+find_package(Qt6LinguistTools REQUIRED)
+find_package(KF6GuiAddons REQUIRED)
+
+# Qt 6.10: Usage of a private Qt module Foo now requires a call to find_package(Qt6 COMPONENTS FooPrivate) to make the Qt6::FooPrivate target available.
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6 REQUIRED COMPONENTS GuiPrivate)
+endif()
 
 if (USE_SYSTEM_QXT)
     find_package(Qxt)
@@ -76,7 +83,7 @@
 add_definitions(-DQLIPPER_VERSION="${QLIPPER_VERSION}")
 if (ENABLE_NETWORK_CLIPBOARD_SHARING)
     add_definitions(-DENABLE_NETWORK_CLIPBOARD_SHARING)
-    find_package(Qt5Network REQUIRED)
+    find_package(Qt6Network REQUIRED)
 endif (ENABLE_NETWORK_CLIPBOARD_SHARING)
 
 
@@ -121,7 +128,7 @@
         set (QLIPPER_SOURCES ${QLIPPER_SOURCES} qxt/qxtglobalshortcut_win.cpp)
     elseif (UNIX)
         set (QLIPPER_SOURCES ${QLIPPER_SOURCES} qxt/qxtglobalshortcut_x11.cpp)
-        include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
+        include_directories(${Qt6Gui_PRIVATE_INCLUDE_DIRS})
     else ()
         set (HAVE_QXT 0)
         add_definitions(-DNO_QXT)
@@ -161,17 +168,20 @@
     ts/qlipper_cs.ts
     ts/qlipper_de.ts
     ts/qlipper_es.ts
+    ts/qlipper_ja.ts
     ts/qlipper_lt.ts
     ts/qlipper_pl.ts
     ts/qlipper_sr.ts
+    ts/qlipper_sv.ts
     ts/qlipper_it.ts
     ts/qlipper_zh_CN.ts
-)
-
-QT5_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )
-QT5_WRAP_CPP( QLIPPER_MOC ${QLIPPER_HEADERS} )
-QT5_ADD_RESOURCES( QLIPPER_RCC ${QLIPPER_RESOURCES} )
-QT5_ADD_TRANSLATION( QLIPPER_QM ${QLIPPER_TRANSLATIONS} )
+    ts/qlipper_pt.ts
+)
+
+QT6_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )
+QT6_WRAP_CPP( QLIPPER_MOC ${QLIPPER_HEADERS} )
+QT6_ADD_RESOURCES( QLIPPER_RCC ${QLIPPER_RESOURCES} )
+QT6_ADD_TRANSLATION( QLIPPER_QM ${QLIPPER_TRANSLATIONS} )
 
 include_directories (
     ${CMAKE_CURRENT_SOURCE_DIR}/src
@@ -197,12 +207,17 @@
 set_property(TARGET ${EXE_NAME} PROPERTY CXX_STANDARD_REQUIRED ON)
 
 target_link_libraries( ${EXE_NAME}
-    Qt5::Widgets
+    PUBLIC
+        Qt6::Widgets
+        KF6::GuiAddons
+    PRIVATE
+        Qt6::GuiPrivate
 )
 
 if (ENABLE_NETWORK_CLIPBOARD_SHARING)
     target_link_libraries( ${EXE_NAME}
-        Qt5::Network
+        PUBLIC
+            Qt6::Network
     )
 endif(ENABLE_NETWORK_CLIPBOARD_SHARING)
 
@@ -210,9 +225,15 @@
 #target_link_libraries( ${EXE_NAME} ${QT_QTNETWORK_LIBRARY})
 
 if (APPLE)
-    target_link_libraries(${EXE_NAME} ${CARBON_LIBRARY})
+    target_link_libraries(${EXE_NAME}
+        PUBLIC
+            ${CARBON_LIBRARY}
+    )
 elseif (UNIX)
-    target_link_libraries(${EXE_NAME} ${X11_X11_LIB})
+    target_link_libraries(${EXE_NAME}
+        PUBLIC
+            ${X11_X11_LIB}
+)
 endif ()
 
 
@@ -283,8 +304,8 @@
 
 # merged from lxqt-common
 if (ENABLE_LXQT_AUTOSTART)
-    set(LXQTBT_MINIMUM_VERSION "0.3.2")
-    find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+    set(LXQTBT_MINIMUM_VERSION "2.0.0")
+    find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
     include(LXQtConfigVars)
     include(LXQtTranslateDesktop)
     add_subdirectory(lxqt-autostart)
