=== debian/changelog ===
qlipper (1:6.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.0.0.
  * debian/control: Bump build dependency to lxqt-build-tools.
  * debian/control: Bump build dependency to qt6-base-private-dev.
  * debian/control: Bump build dependency to qt6-tools-dev.
  * debian/control: Bump build dependency to qt6-tools-dev-tools.
  * debian/control: Build depends on libkf6guiaddons-dev.
  * debian/control: Drop Priority: optional (now defaults).
  * debian/control: Bump standards version to 4.7.3.
  * debian/copyright: Add myself.
  * debian/gbp.conf: Drop compression so salsa CI can build.

 -- Joel Orón Valiente <moded3v@gmail.com>  Wed, 31 Dec 2025 18:37:10 +0000
