=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: x11
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libx11-dev,
-               lxqt-build-tools-qt5,
-               qtbase5-private-dev,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 4.7.0
+               libkf6guiaddons-dev,
+               lxqt-build-tools,
+               qt6-base-private-dev,
+               qt6-tools-dev,
+               qt6-tools-dev-tools
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qlipper
 Vcs-Git: https://salsa.debian.org/lxqt-team/qlipper.git
 Homepage: https://github.com/pvanek/qlipper
